package net.Chipperfluff.chipi.item.tool;

import net.minecraft.item.ToolMaterial;
import net.minecraft.recipe.Ingredient;

import net.Chipperfluff.chipi.item.ModItems;

public enum ChipperToolMaterial implements ToolMaterial {
    INSTANCE;

    @Override
    public int getDurability() {
        return 5;
    }

    @Override
    public float getMiningSpeedMultiplier() {
        return 8.0f;
    }

    @Override
    public float getAttackDamage() {
        return 3.0f;
    }

    @Override
    public int getMiningLevel() {
        return 3;
    }

    @Override
    public int getEnchantability() {
        return 10;
    }

    @Override
    public Ingredient getRepairIngredient() {
        return Ingredient.ofItems(ModItems.CHIPPER_INGOT);
    }
}
